function GetData() 
{
	//calls the xml request in a loop based on the current sources                
	var source = ['Mrk 421','Mrk 501'];
	for (i = 0; i<source.length; i++) 
	{
	   // alert (source[i]);
		GetXMLData(i, source);
		//$('#data').append('1st'+source);
	}
}

function GetXMLData(index, source) 
{
   // alert("test XML Data");
	var XML;
	//$('#data').append('   xmlData pass'+source+" "+index);
	XML = new XMLHttpRequest();
	//NOTE: previous errors on the request was caused by appending "http://www.fact-project.org"
	XML.open("GET","/smartfact/index.php?source="+escape(source[index])+"&time="+year+"-"+month+"-"+day,true);
	dataSource = new Array();
	XML.onload=function() 
	{
		if (XML.status==200)
		{
			//alert("request ok");
			line=XML.responseText.split('\n');
			dataSource.push(line);
			if (dataSource.length == source.length)
				{
				   // alert("new datasource");
				displayXMLData(dataSource, source); //this will be called when the last data from the list is read
				//$('#data').append('successfully load'+source +""+dataSource);
				}
		}
		else
			alert("status is " + XML.status);
	
	};
	XML.send();
}

function displayXMLData(dataSource, source)
{
	var options = 
	{
			chart: {
				renderTo: 'container' /* display to div Graph*/
				
			},
			
			xAxis: {
				categories:["12PM","1PM","2PM","3PM","4PM","5PM","6PM","7PM","8PM","9PM","10PM","11PM","12AM","1AM","2AM","3AM","4AM","5AM","6AM","7AM","8AM","9AM","10AM","12PM"]
			},
			series:[], /* array of Data  */
			
			remove:function()
			{
				return false;
			},
			
			 exporting: {							/*--------------------*/
				buttons: {							/*					  */
					exportButton: {					/*		Export		  */
						menuItems: null,			/*		  to		  */
						onclick: function() {		/*			PNG.file  */
							this.exportChart();		/*--------------------*/
						}
					}
				}
			},
			plotOptions : {
			
			series : {
					lineWidth: 3,
			
				marker : {
					enabled:false
				}
			}
		}
	};
	//This function splits the lines of data per data source
	var dataGraph = new Array(source.length);
	var Time = new Array(source.length);
	var Temp = new Array();
	var colonTime = new Array();
	var colonMin = new Array();
	var Hour = new Array();
	var newData = new Array();
	var HourMin = new Array();
	var GraphData = new Array();
	for (i=0; i<source.length; i++) 
	{
		dataGraph[i] = new Array(); //dataGraph contains the individual points for each source i
		Time[i] = new Array(); // Time contains the individual time for each sources.
		for(row=0;row<dataSource[i].length;row++)
		{
			rows=line[row].split(',');
			Temp[row]=rows[0];
			graphData[i].push(parseFloat(rows[4])||parseFloat('0'));
			for(TT=0;TT<Temp.length;TT++)
			{
				rowsTime=Temp[TT].split(":");
				colonTime.push(rowsTime[0]);
				colonMin.push(parseInt(rowsTime[1]/60*100)||parseFloat('0'));
			}
			for(TH=0;TH<colonTime.length;TH++)
			{	
					rowsHour=colonTime[TH].split('T');
					Hour.push(parseInt(rowsHour[1])||parseFloat('0'));
			}
			for(vTime=0;vTime<Hour.length;vTime++)
			{
				if(Hour[vTime]==0)
				{
					if(Hour[vTime]==8)
					{
						HourMin.push(Hour[vTime]+24+ '.08');
					}
					else
						HourMin.push(Hour[vTime]+24+'.'+colonMin[vTime]);
				}
				else if(Hour[vTime]==1)
				{
					if(Hour[vTime]==8)
					{
						HourMin.push(Hour[vTime]+24+ '.08');
					}
					else
						HourMin.push(Hour[vTime]+24+'.'+colonMin[vTime]);
				}
				else if(Hour[vTime]==2)
				{
					if(Hour[vTime]==8)
					{
						HourMin.push(Hour[vTime]+24+ '.08');
					}
					else
						HourMin.push(Hour[vTime]+24+'.'+colonMin[vTime]);
				}
				else if(Hour[vTime]==3)
				{
					if(Hour[vTime]==8)
					{
						HourMin.push(Hour[vTime]+24+ '.08');
					}
					else
						HourMin.push(Hour[vTime]+24+'.'+colonMin[vTime]);
				}
				else if(Hour[vTime]==4)
				{
					if(Hour[vTime]==8)
					{
						HourMin.push(Hour[vTime]+24+ '.08');
					}
					else
						HourMin.push(Hour[vTime]+24+'.'+colonMin[vTime]);
				}
				else if(Hour[vTime]==5)
				{
					if(Hour[vTime]==8)
					{
						HourMin.push(Hour[vTime]+24+ '.08');
					}
					else
						HourMin.push(Hour[vTime]+24+'.'+colonMin[vTime]);
				}
				else if(Hour[vTime]==6)
				{
					if(Hour[vTime]==8)
					{
						HourMin.push(Hour[vTime]+24+ '.08');
					}
					else
						HourMin.push(Hour[vTime]+24+'.'+colonMin[vTime]);
				}
				else if(Hour[vTime]==7)
				{
					if(Hour[vTime]==8)
					{
						HourMin.push(Hour[vTime]+24+ '.08');
					}
					else
						HourMin.push(Hour[vTime]+24+'.'+colonMin[vTime]);
				}
				else if(Hour[vTime]==8)
				{
					if(Hour[vTime]==8)
					{
						HourMin.push(Hour[vTime]+24+ '.08');
					}
					else
						HourMin.push(Hour[vTime]+24+'.'+colonMin[vTime]);
				}
				else if(colonMin[vTime]==8)
				{
					HourMin.push(Hour[vTime] + '.08');
				}
				else
				
					HourMin.push(Hour[vTime]+'.'+colonMin[vTime]);
				
				
			}
			Time[i].push(HourMin[vTime]);
			
		}
		$('#data').append(i + ": " + source[i] + ' GRAPH DATA ' + dataGraph[i] + ' Time '+ Time[i]);
	}
}